PHP Manual
Prev |  | Next

# DomElement->get_elements_by_tagname()

(no version information, might be only in CVS)

DomElement->get_elements_by_tagname() -- Gets elements by tagname

## Description

class DomElement {
array get_elements_by_tagname ( string name )
}

Gets all the sub elements with the specific name within the current element.

## Parameters

name

  The name of the seeked element.

## Return Values

Returns an array of DomElement objects.

## Examples

Example 1. Getting a content

`<?php if (!$dom = domxml_open_mem($xmlstr)) { echo "Error while parsing the document\n"; exit; } $root = $dom->document_element(); $node_array = $root->get_elements_by_tagname('element'); foreach ($node_array as $node) { echo ' - ' . $node->get_content() . "\n"; } ?>`

## Migrating to PHP 5

Use DOMElement->getElementsByTagName().

Prev | Home | Next
DomElement->get_attribute() | Up | DomElement->has_attribute()